﻿' ------------------------------------------------------------------------------------------
'
' umFish50                                                            Ulrich Müller 19.11.09
'                                                                     Aspire VB 2005 Express
' umfish50.DLL : Die VB Deklarationen
'
' ------------------------------------------------------------------------------------------

Public Class umFish50

	Public Const ctxError As UInt32 = &HE0000001L

	' --- Parameterkonstanten ----

	Public Const ctxOff As Integer = 0
	Public Const ctxOn As Int32 = 1
	Public Const ctxLeft As Int32 = 1
	Public Const ctxRight As Int32 = 2

	Public Const ctxFull As Int32 = 512
	Public Const ctxHalf As Int32 = 444

	Public Const ctxMain As Int32 = 0
	Public Const ctxExt1 As Int32 = 1

	Public Const ctxI1 As Int32 = 0
	Public Const ctxI2 As Int32 = 1
	Public Const ctxI3 As Int32 = 2
	Public Const ctxI4 As Int32 = 3
	Public Const ctxI5 As Int32 = 4
	Public Const ctxI6 As Int32 = 5
	Public Const ctxI7 As Int32 = 6
	Public Const ctxI8 As Int32 = 7
	Public Const ctxI9 As Int32 = 8
	Public Const ctxI10 As Int32 = 9
	Public Const ctxI11 As Int32 = 10
	Public Const ctxI12 As Int32 = 11

	Public Const ctxC1 As Int32 = 0
	Public Const ctxC2 As Int32 = 1
	Public Const ctxC3 As Int32 = 2
	Public Const ctxC4 As Int32 = 3

	Public Const ctxM1 As Int32 = 0
	Public Const ctxM2 As Int32 = 1
	Public Const ctxM3 As Int32 = 2
	Public Const ctxM4 As Int32 = 3

	Public Const ctxO1 As Int32 = 0
	Public Const ctxO2 As Int32 = 1
	Public Const ctxO3 As Int32 = 2
	Public Const ctxO4 As Int32 = 3
	Public Const ctxO5 As Int32 = 4
	Public Const ctxO6 As Int32 = 5
	Public Const ctxO7 As Int32 = 6
	Public Const ctxO8 As Int32 = 7

	' --- umFish50.DLL Deklarationen --------

	Public Declare Function txOpenController Lib "umFish50.DLL" _
		(ByVal ComNr As Int32) As Int32
	Public Declare Function txCloseController Lib "umFish50.DLL" () As Int32

	Public Declare Function txGetAnalog Lib "umFish50.DLL" _
		(ByVal ctrId As Int32, ByVal inpNr As Int32) As Int32
	Public Declare Function txGetDistance Lib "umFish50.DLL" _
		 (ByVal ctrId As Int32, ByVal inpNr As Int32) As Int32
	Public Declare Function txGetInput Lib "umFish50.DLL" _
		(ByVal ctrId As Int32, ByVal inpNr As Int32) As Int32
	Public Declare Function txGetTrack Lib "umFish50.DLL" _
		 (ByVal ctrId As Int32, ByVal inpNr As Int32) As Int32
	Public Declare Function txGetVoltage Lib "umFish50.DLL" _
			(ByVal ctrId As Int32, ByVal inpNr As Int32) As Int32

	Public Declare Function txGetCounter Lib "umFish50.DLL" _
		 (ByVal ctrId As Int32, ByVal inpNr As Int32) As Int32
	Public Declare Function txClearCounter Lib "umFish50.DLL" _
		 (ByVal ctrId As Int32, ByVal inpNr As Int32) As Int32

	Public Declare Function txSetLamp Lib "umFish50.DLL" _
		 (ByVal ctrId As Int32, ByVal outNr As Int32, ByVal OnOff As Int32) As Int32
	Public Declare Function txSetMotor Lib "umFish50.DLL" _
		(ByVal ctrId As Int32, ByVal outNr As Int32, ByVal dir As Int32, _
			ByVal speed As Int32) As Int32
	Public Declare Function txStartMotor Lib "umFish50.DLL" _
		(ByVal ctrId As Int32, ByVal outNr As Int32, ByVal dir As Int32, _
			ByVal speed As Int32, ByVal iCount As Int32) As Int32

	Public Declare Function txIsMotorReady Lib "umFish50.DLL" _
		 (ByVal ctrId As Int32, ByVal motNr As Int32) As Int32

	Public Declare Sub txSleep Lib "umFish50.DLL" (ByVal mSek As Int32)
	Public Declare Function txEsc Lib "umFish50.DLL" () As Int32
	Public Declare Function txGetTickCount Lib "umFish50.DLL" () As Int32

End Class
