﻿// ------------------------------------------------------------------------------------
//
// ftMscLib.CS                                                   Ulrich Müller 20.11.09
//            Ausgewählte Funktions-Deklarationen der ftMscLib.DLL
//
// ------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Text;

namespace ftMscLibHello {
  class ftMscLib {
    // --- ftMscLib.DLL Deklarationen -------------------------------
    [DllImport("ftMscLib.dll")]
    public static extern uint ftxGetLibVersionStr(StringBuilder sb, uint len);
    [DllImport("ftMscLib.dll")]
    public static extern uint GetAvailableComPorts(int selectMode);
    [DllImport("ftMscLib.dll")]
    public static extern uint EnumComPorts(uint idx, StringBuilder comStr, uint maxlen);
    [DllImport("ftMscLib.dll")]
    public static extern uint ftxInitLib();
    [DllImport("ftMscLib.dll")]
    public static extern uint ftxCloseLib();
    [DllImport("ftMscLib.dll")]
    public static extern uint ftxOpenComDevice(string ComName, uint Baud, ref uint err);
    [DllImport("ftMscLib.dll")]
    public static extern uint ftxCloseDevice(uint ftHandle);
    [DllImport("ftMscLib.dll")]
    public static extern uint ftxStartTransferArea(uint ftHandle);
    [DllImport("ftMscLib.dll")]
    public static extern uint ftxStopTransferArea(uint ftHandle);

    [DllImport("ftMscLib.dll")]
    public static extern uint SetOutPwmValues(uint ftHandle,
      int devId, int outId, int duty);
    [DllImport("ftMscLib.dll")]
    public static extern uint SetFtMotorConfig(uint ftHandle,
      int devId, int MotorId, bool status);
    [DllImport("ftMscLib.dll")]
    public static extern uint SetOutMotorValues(uint ftHandle,
      int devId, int MotorId, int duty_p, int duty_m, bool brake);
    [DllImport("ftMscLib.dll")]
    public static extern uint SetMotorExConfig(uint ftHandle,
      int devId, int MotorId, int duty_p, int direction, int SlaveId, int pulsCount);
    [DllImport("ftMscLib.dll")]
    public static extern uint StopMotorExConfig(uint ftHandle,
      int devId, int MotorId, bool status);
    [DllImport("ftMscLib.dll")]
    public static extern uint StopMotorExConfig(uint ftHandle, int devId);

    [DllImport("ftMscLib.dll")]
    public static extern uint SetFtUniConfig(uint ftHandle,
      int devId, int ioId, int mode, bool digital);
    [DllImport("ftMscLib.dll")]
    public static extern uint SetFtCntConfig(uint ftHandle,
      int devId, int cntId, int mode);
    [DllImport("ftMscLib.dll")]
    public static extern uint GetInIOValue(uint ftHandle,
      int devId, int ioId, ref short Value, ref bool overrun);
    [DllImport("ftMscLib.dll")]
    public static extern uint GetInCounterValue(uint ftHandle,
      int devId, int cntId, ref short count, ref bool state);
    [DllImport("ftMscLib.dll")]
    public static extern uint SetOutCounterReset(uint ftHandle,
      int devId, int cntId);

    // --- Win API Deklarationen ----------------------------------------------------
    [DllImport("kernel32")]
    public static extern void Sleep(uint mSek);
    [DllImport("kernel32")]
    public static extern uint GetTickCount();
    [DllImport("user32")]
    public static extern uint GetAsyncKeyState(uint vKey);
    public const uint ESCAPE = 0x1B;
  }
}
