﻿// -------------------------------------------------------------------------------------
//
// umFish50                                                       Ulrich Müller 19.11.09
//                                                                Aspire C# 2005 Express
// umFish50.DLL : Die C# Deklarationen
//
// -------------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace umFish50 {
  public class umFish50 {

    // --- Parameterkonstanten ------------
    public const uint ctxError = 0xE0000001;

    public const int ctxOff   = 0;
    public const int ctxOn    = 1;
    public const int ctxLeft  = 1;
    public const int ctxRight = 2;

    public const int ctxFull = 512;
    public const int ctxHalf = 444;

    public const int ctxMain = 0;
    public const int ctxExt1 = 1;

    public const int ctxI1  = 0;
    public const int ctxI2  = 1;
    public const int ctxI3  = 2;
    public const int ctxI4  = 3;
    public const int ctxI5  = 4;
    public const int ctxI6  = 5;
    public const int ctxI7  = 6;
    public const int ctxI8  = 7;
    public const int ctxI9  = 8;
    public const int ctxI10 = 9;
    public const int ctxI11 = 10;
    public const int ctxI12 = 11;

    public const int ctxC1 = 0;
    public const int ctxC2 = 1;
    public const int ctxC3 = 2;
    public const int ctxC4 = 3;

    public const int ctxM1 = 0;
    public const int ctxM2 = 1;
    public const int ctxM3 = 2;
    public const int ctxM4 = 3;

    public const int ctxO1 = 0;
    public const int ctxO2 = 1;
    public const int ctxO3 = 2;
    public const int ctxO4 = 3;
    public const int ctxO5 = 4;
    public const int ctxO6 = 5;
    public const int ctxO7 = 6;
    public const int ctxO8 = 7;

    // --- umFish50.DLL Deklarationen -------------------
    [DllImport("umFish50.DLL")]
    public static extern int txOpenController(int ComNr);
    [DllImport("umFish50.DLL")]
    public static extern int txCloseController();

    [DllImport("umFish50.DLL")]
    public static extern int txGetAnalog(int ctrId, int inpNr);
    [DllImport("umFish50.DLL")]
    public static extern int txGetDistance(int ctrId, int inpNr);
    [DllImport("umFish50.DLL")]
    public static extern int txGetInput(int ctrId, int inpNr);
    [DllImport("umFish50.DLL")]
    public static extern int txGetTrack(int ctrId, int inpNr);
    [DllImport("umFish50.DLL")]
    public static extern int txGetVoltage(int ctrId, int inpNr);

    [DllImport("umFish50.DLL")]
    public static extern int txGetCounter(int ctrId, int cntNr);
    [DllImport("umFish50.DLL")]
    public static extern int txClearCounter(int ctrId, int cntNr);

    [DllImport("umFish50.DLL")]
    public static extern int txSetLamp(int ctrId, int outNr, int OnOff);
    [DllImport("umFish50.DLL")]
    public static extern int txSetMotor(int ctrId, int motNr, int dir, int speed);
    [DllImport("umFish50.DLL")]
    public static extern int txStartMotor(int ctrId, int motNr, 
      int dir, int speed, int iCount, int robMode);

    [DllImport("umFish50.DLL")]
    public static extern int txIsMotorReady(int ctrId, int motNr);

    [DllImport("umFish50.DLL")]
    public static extern void txSleep(int mSek);
    [DllImport("umFish50.DLL")]
    public static extern int txEsc();
    [DllImport("umFish50.DLL")]
    public static extern int txGetTickCount();
  }
}
